/**
 * Generate scaffold data.
 * @function task.worker._scaffoldData
 * @param {string} modelName - Name of a mode.
 * @returns {object}
 * @protected
 * @ignore
 * @author Taka Okunishi
 */
var lib = require('../../lib'),
    string = lib.string;

module.exports = function (modelName) {
    var camelName = string.camelize(modelName),
        CamelName = string.capitalize(camelName),
        snakeName = string.underscorize(camelName);
    return {
        name: camelName,
        Name: CamelName,
        snakeName: snakeName
    }
};